org.jboss.netty.handler.codec.spdy

## Class SpdyHttpCodec

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.SpdyHttpCodec

- All Implemented Interfaces:
    ChannelDownstreamHandler, ChannelHandler, ChannelUpstreamHandler

      public class SpdyHttpCodec
      extends Object
      implements ChannelUpstreamHandler, ChannelDownstreamHandler

  A combination of `SpdyHttpDecoder` and `SpdyHttpEncoder`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpdyHttpCodec(int maxContentLength)` Deprecated.
    `SpdyHttpCodec(int version, int maxContentLength)` Creates a new instance with the specified decoder options.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleDownstream(ChannelHandlerContext ctx, ChannelEvent e)` Handles the specified downstream event.
    `void` | `handleUpstream(ChannelHandlerContext ctx, ChannelEvent e)` Handles the specified upstream event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpdyHttpCodec

          @Deprecated
          public SpdyHttpCodec(int maxContentLength)

      Deprecated.
      Creates a new instance with the specified decoder options.

    - #### SpdyHttpCodec

          public SpdyHttpCodec(int version,
                       int maxContentLength)

      Creates a new instance with the specified decoder options.

  - ### Method Detail

    - #### handleUpstream

          public void handleUpstream(ChannelHandlerContext ctx,
                            ChannelEvent e)
                              throws Exception

      Description copied from interface: `ChannelUpstreamHandler`
      Handles the specified upstream event.
      Specified by:
        `handleUpstream` in interface `ChannelUpstreamHandler`
      Parameters:
        `ctx` - the context object for this handler
        `e` - the upstream event to process or intercept
      Throws:
        `Exception`

    - #### handleDownstream

          public void handleDownstream(ChannelHandlerContext ctx,
                              ChannelEvent e)
                                throws Exception

      Description copied from interface: `ChannelDownstreamHandler`
      Handles the specified downstream event.
      Specified by:
        `handleDownstream` in interface `ChannelDownstreamHandler`
      Parameters:
        `ctx` - the context object for this handler
        `e` - the downstream event to process or intercept
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.